<Cabbage> bounds(0, 0, 0, 0)

;Unsorted stuff.

form caption("Bender Side-Punch Reverb 15") size(800, 600), colour(54, 59, 64), pluginid("def1")

;Decals.

image bounds(0, 0, 800, 600) file("wood.png")

;Controls.

groupbox bounds(3, 118, 793, 151) text("Control panel") fontcolour(255, 255, 255, 255)

rslider bounds(350, 156, 100, 100), channel("treble"), range(0, 1, 0, 1, 0.01), text("Treble"), trackercolour(255, 255, 255, 255), outlinecolour(0, 0, 0, 50), textcolour(255, 255, 255, 255) popuptext("Treble") colour(70, 70, 70, 255) markercolour(255, 255, 255, 255)
rslider bounds(450, 156, 100, 100), channel("middle"), range(0, 1, 0, 1, 0.01), text("Middle"), trackercolour(255, 255, 255, 255), outlinecolour(0, 0, 0, 50), textcolour(255, 255, 255, 255) popuptext("Middle") colour(70, 70, 70, 255) markercolour(255, 255, 255, 255)
rslider bounds(550, 156, 100, 100), channel("bass"), range(0, 1, 0, 1, 0.01), text("Bass"), trackercolour(255, 255, 255, 255), outlinecolour(0, 0, 0, 50), textcolour(255, 255, 255, 255) popuptext("Bass") colour(70, 70, 70, 255) markercolour(255, 255, 255, 255)
rslider bounds(650, 156, 100, 100), channel("reverb"), range(0, 1, 0, 1, 0.01), text("Reverb"), trackercolour(255, 255, 255, 255), outlinecolour(0, 0, 0, 50), textcolour(255, 255, 255, 255) popuptext("Reverb") colour(70, 70, 70, 255) markercolour(255, 255, 255, 255)
rslider bounds(250, 156, 100, 100), channel("master"), range(0, 1, 0, 1, 0.01), text("Master"), trackercolour(255, 255, 255, 255), outlinecolour(0, 0, 0, 50), textcolour(255, 255, 255, 255) popuptext("Master") colour(70, 70, 70, 255) markercolour(255, 255, 255, 255)
rslider bounds(52, 156, 100, 100), channel("volume"), range(0, 1, 0, 1, 0.01), , trackercolour(255, 255, 255, 255), outlinecolour(0, 0, 0, 50), textcolour(255, 255, 255, 255) text("Volume") popuptext("Volume") fontcolour(255, 255, 255, 255) colour(70, 70, 70, 255) markercolour(255, 255, 255, 255)
rslider bounds(150, 156, 100, 100), channel("gain"), range(0, 1, 0, 1, 0.01), text("Gain"), trackercolour(255, 255, 255, 255), outlinecolour(0, 0, 0, 50), textcolour(255, 255, 255, 255) colour(70, 70, 70, 255) markercolour(255, 255, 255, 255) popuptext("Gain")

;Wave analyzer.

groupbox bounds(256, 1, 286, 117) text("Display") fontcolour(255, 255, 255, 255)

signaldisplay bounds(272, 25, 254, 93) channel("master") colour(255, 255, 255, 255) colour:0(255, 255, 255, 255)

;Presets.

groupbox bounds(8, 1, 241, 118) text("Presets") fontcolour(255, 255, 255, 255)

button bounds(20, 24, 80, 40) text("Default ", "-Default-", "") popuptext("The Default preset.") channel("buttonchan 1") value(1)
button bounds(156, 24, 80, 40) channel("buttonchan 2") text("Drive", "-Drive-") popuptext("Overdrive preset.") value(0)
button bounds(20, 68, 80, 40) text("Reverbed", "-Reverbed-") popuptext("Reverb preset.") value(0)
button bounds(156, 68, 80, 40) channel("buttonchan 4") text("Bass boost", "-Bass boost-") popuptext("Bass boost preset.") value(0)

;Settings.

groupbox bounds(550, 1, 241, 118) text("Settings") fontcolour(255, 255, 255, 255)

button bounds(562, 24, 80, 40)
button bounds(698, 24, 80, 40)
button bounds(562, 68, 80, 40)
button bounds(698, 68, 80, 40)

</Cabbage>
<CsoundSynthesizer>
<CsOptions>
-n -d -+rtmidi=NULL -M0 -m0d 
</CsOptions>
<CsInstruments>
; Initialize the global variables. 
ksmps = 32
nchnls = 2
0dbfs = 1


instr 1
kGain chnget "gain"
kReverb chnget "reverb"
kTreble chnget "treble"
kBass chnget "bass"
kMiddle chnget "middle"
kVolume chnget "volume"
kMaster chnget "master"

a1 inch 1
a2 inch 2

outs a1*kMaster, a2*kMaster
endin

</CsInstruments>
<CsScore>
;causes Csound to run for about 7000 years...
f0 z
;starts instrument 1 and runs it for a week
i1 0 [60*60*24*7] 
</CsScore>
</CsoundSynthesizer>
